Public Class Form1

    Private Function EstraiNumeri() As Generic.List(Of Integer)
        Dim res As Generic.List(Of Integer) = New Generic.List(Of Integer)()
        Try
            Dim rnd As Random = New Random(Date.Now.Minute + Date.Now.Second + Date.Now.Millisecond)
            Dim numCor As Integer

            While res.Count <= 6
                numCor = rnd.Next(1, 91)
                If (Not res.Contains(numCor)) Then
                    res.Add(numCor)
                End If
            End While
        Catch ex As Exception
        End Try
        Return res
    End Function


    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        ''Cancello il contenuto delle precedenti estrazioni
        Me.Panel1.Controls.Clear()

        ''dichiaro una variabile del tipo Scheda
        Dim schedaCor As Scheda

        ''Dichiaro una variabile di tipo Point che mi servir per definire la posizione delle schede
        ''Questa variabile rappresenta un punto nelle coordinate X, Y (con (0,0) si intende sempre l'angolo superiore sinistro di un controllo)
        Dim Pt As Point = New Point(0, 0)

        ''ciclo per il numero di estrazioni da eseguire
        For i As Integer = 1 To CInt(Me.NumericUpDown1.Value)
            ''Inizializzo una nuova scheda
            schedaCor = New Scheda()
            schedaCor.SuspendLayout()
            schedaCor.Size = New Size(346, 61) ''Do una dimensione predefinita al controllo scheda
            schedaCor.Location = Pt ''Do la posizione in cui inserire il controllo scheda
            schedaCor.ListaNumeri(Me.EstraiNumeri()) ''Eseguo una estrazione e la invio al controllo
            schedaCor.BorderStyle = BorderStyle.Fixed3D ''imposto il bordo alla scheda
            schedaCor.ResumeLayout()
            Me.Panel1.Controls.Add(schedaCor) ''aggiungo il controllo al panel1

            ''Incremento la posizione del punto Pt in modo che il prossimo componente vada sotto all'ultimo inserito
            Pt = New Point(Pt.X, Pt.Y + schedaCor.Height + 2)
        Next

    End Sub
End Class
